import { Visualizer } from '../../..';
import { IScene } from '../../EventSystem/EventTypes';
export declare class SceneMetadataManager {
    experienceId: string;
    visualizer: Visualizer;
    constructor(visualizer: Visualizer, experienceId: string);
    getMetadata(): Promise<string>;
    getApiEndpoint(): any;
    getApiToken(): any;
    getCatalogProps(sceneIndex: string): {
        email: any;
        password: any;
        organization: any;
        catalog: any;
    };
    private getCurentZoneMetadata;
    getSceneImage(sceneIndex: string): any;
    getSceneTitle(sceneIndex: string): string;
    getSceneSubtitle(sceneIndex: string): any;
    getSceneList(): IScene[];
    rotateCameraToApplication(application: string): Promise<void>;
}
